aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorArsenShnurkov <Arsen.Shnurkov@gmail.com>2015-09-03 10:17:53 +0300
committerArsenShnurkov <Arsen.Shnurkov@gmail.com>2015-09-12 17:24:56 +0300
commit1292f29d3c95417425e0de1d194ae3f50ba5aa8c (patch)
tree7e899759185e9807e4ec8e950e59abc8f0cbf143 /eclass
parentinitial version (diff)
downloaddotnet-1292f29d3c95417425e0de1d194ae3f50ba5aa8c.tar.gz
dotnet-1292f29d3c95417425e0de1d194ae3f50ba5aa8c.tar.bz2
dotnet-1292f29d3c95417425e0de1d194ae3f50ba5aa8c.zip
text of eclass, initial version
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mpt-r20150903.eclass35
1 files changed, 35 insertions, 0 deletions
diff --git a/eclass/mpt-r20150903.eclass b/eclass/mpt-r20150903.eclass
new file mode 100644
index 0000000..6e8a78d
--- /dev/null
+++ b/eclass/mpt-r20150903.eclass
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# @ECLASS: mpt-r20150903.eclass
+# @MAINTAINER: cynede@gentoo.org
+# @BLURB: wrappers for mono-packaging-tools package
+# @DESCRIPTION:
+# This eclass include function wrappers
+
+inherit eutils versionator mono-env dotnet
+
+DEPEND+=" dev-util/mono-packaging-tools"
+
+# @FUNCTION: empt-gitmodules
+# @DESCRIPTION: wraps mpt-gitmodules
+empt-gitmodules() {
+ mpt-gitmodules $@ || die
+}
+
+# @FUNCTION: empt-sln
+# @DESCRIPTION: wraps mpt-sln
+empt-sln() {
+ empt-sln $@ || die
+}
+# @FUNCTION: empt-csproj
+# @DESCRIPTION: wraps mpt-csproj
+empt-csproj() {
+ empt-csproj $@ || die
+}
+# @FUNCTION: eempt-machine
+# @DESCRIPTION: wraps empt-machine
+empt-machine() {
+ empt-machine $@ || die
+}